import { VFile } from 'vfile';
import { createFilter } from 'rollup-pluginutils';
import { compile } from '@uniorgjs/orgx';
export default ({ include, exclude, ...options } = {}) => {
    const filter = createFilter(include, exclude);
    return {
        name: 'rollup-plugin-orgx',
        transform: async (value, path) => {
            const file = new VFile({ value, path });
            if (file.extname === '.org' && filter(file.path)) {
                const compiled = await compile(file, options);
                return { code: String(compiled.value), map: compiled.map };
            }
        },
    };
};
//# sourceMappingURL=index.js.map